LibreOffice LibreOffice 7.2 SDK API Reference

Classes | Modules
FormOperations.idl File Reference
`import "com/sun/star/form/runtime/XFormOperations.idl";`
`import "com/sun/star/form/runtime/XFormController.idl";`
`import "com/sun/star/form/XForm.idl";`
`import "com/sun/star/lang/IllegalArgumentException.idl";`

Go to the source code of this file.

## Classes
service | FormOperations
| encapsulates operations on a database form which has a UI representation, and is interacting with the user. More...

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::form
| Interfaces for managing forms and controls.
module | com::sun::star::form::runtime
| collects functionality needed during a form's runtime, e.g.